coap_subscription_t Struct Reference
Resource observation

Subscriber information. More...

`#include <subscribe.h>`

Collaboration diagram for coap_subscription_t:
[legend]

## Data Fields

struct coap_subscription_t * | next
| next element in linked list More...
coap_endpoint_t | local_if
| local communication interface More...
coap_address_t | subscriber
| address and port of subscriber More...
unsigned int | non_cnt:4
| up to 15 non-confirmable notifies allowed More...
unsigned int | fail_cnt:2
| up to 3 confirmable notifies can fail More...
unsigned int | dirty:1
| set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too) More...
size_t | token_length
| actual length of token More...
unsigned char | token [8]
| token used for subscription More...

## Detailed Description

Subscriber information.

Definition at line 54 of file subscribe.h.

## Field Documentation

## dirty

unsigned int coap_subscription_t::dirty

set if the notification temporarily could not be sent (in that case, the resource's partially dirty flag is set too)

Definition at line 61 of file subscribe.h.

## fail_cnt

unsigned int coap_subscription_t::fail_cnt

up to 3 confirmable notifies can fail

Definition at line 60 of file subscribe.h.

## local_if

coap_endpoint_t coap_subscription_t::local_if

local communication interface

Definition at line 56 of file subscribe.h.

## next

struct coap_subscription_t* coap_subscription_t::next

next element in linked list

Definition at line 55 of file subscribe.h.

## non_cnt

unsigned int coap_subscription_t::non_cnt

up to 15 non-confirmable notifies allowed

Definition at line 59 of file subscribe.h.

## subscriber

coap_address_t coap_subscription_t::subscriber

address and port of subscriber

Definition at line 57 of file subscribe.h.

## token

unsigned char coap_subscription_t::token[8]

token used for subscription

Definition at line 65 of file subscribe.h.

## token_length

size_t coap_subscription_t::token_length

actual length of token

Definition at line 64 of file subscribe.h.

The documentation for this struct was generated from the following file:

- subscribe.h